package cn.com.tenlion.configcontent.service.contentcomment;

import cn.com.tenlion.configcontent.pojo.bos.contentcomment.ContentCommentBO;
import cn.com.tenlion.configcontent.pojo.dtos.contentcomment.ContentCommentDTO;
import cn.com.tenlion.configcontent.pojo.pos.contentcomment.ContentCommentPO;
import cn.com.tenlion.configcontent.pojo.vos.contentcomment.ContentCommentVO;
import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;
import java.util.List;
import java.util.Map;

/**
 * @ClassName: IContentCommentService
 * @Description: CBC内容管理评论记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 09:31:18
 * @Version: 3.0
 **/
public interface IContentCommentService {


    /**
     * 更新点赞数量
     *
     * @param contentCommentId
     * @param count
     * @return
     */
    void updateLike(String contentCommentId, Integer count);

    /**
     * 新增CBC内容管理评论记录表
     *
     * @param contentCommentVO
     * @return
     */
    void save(ContentCommentVO contentCommentVO);

    /**
     * 查询
     * @param businessId
     * @param creator
     * @param contentCommentContent
     * @return
     */
    List<ContentCommentDTO> getCommentByBusinessIdAndCommentContent(String businessId, String creator, String contentCommentContent);

    /**
     * 新增CBC内容管理评论记录表
     *
     * @param token
     * @param contentCommentVO
     * @return
     */
    void save(String token, ContentCommentVO contentCommentVO);

    /**
     * 新增CBC内容管理评论记录表
     *
     * @param contentCommentVO
     * @return contentCommentId
     */
    String saveReturnId(ContentCommentVO contentCommentVO);

    /**
     * 新增CBC内容管理评论记录表
     *
     * @param token
     * @param contentCommentVO
     * @return contentCommentId
     */
    String saveReturnId(String token, ContentCommentVO contentCommentVO);

    /**
     * 删除CBC内容管理评论记录表
     *
     * @param ids id列表
     * @return
     */
    void remove(List<String> ids);


    /**
     * 删除CBC内容管理评论记录表
     *
     * @param token
     * @param ids id列表
     * @return
     */
    void remove(String token, List<String> ids);

    /**
     * 删除CBC内容管理评论记录表（物理删除）
     *
     * @param ids id列表
     */
    void delete(List<String> ids);

    /**
     * 修改CBC内容管理评论记录表
     *
     * @param contentCommentId
     * @param contentCommentVO
     * @return
     */
    void update(String contentCommentId, ContentCommentVO contentCommentVO);

    /**
     * 修改CBC内容管理评论记录表
     *
     * @param token
     * @param contentCommentId
     * @param contentCommentVO
     * @return
     */
    void update(String token, String contentCommentId, ContentCommentVO contentCommentVO);

    /**
     * CBC内容管理评论记录表详情
     *
     * @param params 参数Map
     * @return
     */
    ContentCommentDTO get(Map<String, Object> params);

    /**
     * CBC内容管理评论记录表详情
     *
     * @param contentCommentId
     * @return
     */
    ContentCommentDTO get(String contentCommentId);

    /**
     * CBC内容管理评论记录表详情
     *
     * @param params 参数Map
     * @return
     */
    ContentCommentBO getBO(Map<String, Object> params);

    /**
     * CBC内容管理评论记录表详情
     *
     * @param contentCommentId
     * @return
     */
    ContentCommentBO getBO(String contentCommentId);

    /**
     * CBC内容管理评论记录表详情
     *
     * @param params 参数Map
     * @return
     */
    ContentCommentPO getPO(Map<String, Object> params);

    /**
     * CBC内容管理评论记录表详情
     *
     * @param contentCommentId
     * @return
     */
    ContentCommentPO getPO(String contentCommentId);

    /**
     * CBC内容管理评论记录表列表
     *
     * @param params
     * @return
     */
    List<ContentCommentDTO> list(Map<String, Object> params);

    /**
     * CBC内容管理评论记录表列表
     *
     * @param params
     * @return
     */
    List<ContentCommentBO> listBO(Map<String, Object> params);

    /**
     * CBC内容管理评论记录表列表
     *
     * @param params
     * @return
     */
    List<ContentCommentPO> listPO(Map<String, Object> params);

    /**
     * CBC内容管理评论记录表分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<ContentCommentDTO>> listPage(ListPage page);

    /**
     * CBC内容管理评论记录表统计
     *
     * @param params
     * @return
     */
    Integer count(Map<String, Object> params);

}